unit Desc;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons;

type
  TDescDlg = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    edFile: TEdit;
    BrowseBtn: TSpeedButton;
    edDesc: TEdit;
    OpenDlg: TOpenDialog;
    procedure BrowseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DescDlg: TDescDlg;

implementation

{$R *.DFM}



procedure TDescDlg.BrowseBtnClick(Sender: TObject);
begin
  try
    OpenDlg.InitialDir := ExtractFilePath(edFile.Text);
    OpenDlg.FileName := ExtractFileName(edFile.Text);
  except
  end;
  IF OpenDlg.Execute Then
  begin
    edFile.Text := OpenDlg.FileName;
    IF Trim(edDesc.Text)='' Then
      edDesc.Text := ExtractFileName(edFile.Text);
  end;
end;

end.
